
Redmine - Defect #7838

Gantt- Issues does not show up in green when start and end date are the same

2011-03-11 12:42 - secu-ring GmbH

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version: 1.1.1

Description

When you have an issue , maybe 4 hours estimated, you pick start and end date for 2011-03-01.

If you close the Ticket it will not show up in green in the gantt chart. When you switch the due date to 2011-03-02 it shows up in

green.

maybe you gonna fix this

Related issues:

Related to Redmine - Defect #8233: 100% done 1-day tasks not green on gantt c... Closed

Associated revisions

Revision 5236 - 2011-03-28 19:35 - Jean-Philippe Lang

Fixes progress calculation on gantt (#7838).

Contributed by Etienne Massip.

History

#1 - 2011-03-11 14:34 - Etienne Massip

- Target version set to Candidate for next minor release

Confirmed, although it's not status or estimated time related.

If Due date and Start date are equals and issue is 100% Done then issue line keeps being displayed in grey instead of green.

#2 - 2011-03-12 17:33 - Etienne Massip

- File gantt_progress_calcultation_fix.patch added

Here's a patch.

#3 - 2011-03-12 17:34 - Etienne Massip

- File deleted (gantt_progress_calcultation_fix.patch)

#4 - 2011-03-12 17:36 - Etienne Massip

- File gantt_progress_calculation_fix.patch added

Sorry, missed something.

#5 - 2011-03-28 19:37 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Committed with tests in r5236. I've also fixed a few existing tests that were failing because of the fixed calculation.

#6 - 2011-04-29 09:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/5236


Files

gantt_progress_calculation_fix.patch 854 Bytes 2011-03-12 Etienne Massip
